<?php
	
	/**
	 * Klasse für den Verkauf von Produkten als Produktpaket
	 * @author Daschmi
	 */
	class wpsg_mod_productpackage extends wpsg_mod_basic
	{
		
		var $lizenz = 2;
		var $id = 2050;
		
		/**
		 * Konstruktor
		 */
		public function __construct()
		{
			
			parent::__construct();
				
			$this->name = __('Produktpakete', 'wpsg');
			$this->group = __('Produkte', 'wpsg');
			$this->desc = __('Ermöglicht den Verkauf von Produktpaketen, die aus mehreren Produkten bestehen.', 'wpsg');
			
		} // public function __construct()
		
		public function install()
		{
			
			require_once(WPSG_PATH_WP.'/wp-admin/includes/upgrade.php');
			
			$sql = "CREATE TABLE ".WPSG_TBL_PRODUCTS." (
			  	wpsg_mod_productpackage_set INT(11) NOT NULL,
			) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
				
			dbDelta($sql);
			
		} // public function install()
		
		public function produkt_edit_sidebar(&$produkt_data)
		{
		
			if ($produkt_data['id'] <= 0) return;
			
			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_productpackage/produkt_edit_sidebar.phtml');
				
		} // public function produkt_edit_sidebar(&$produkt_data)
		
		/** Modulfunktionen */
		
		/**
		 * Zeichnet die Liste der zugeordneten Produkte 
		 * @param int $product_id ID des Produktes
		 */
		public function productlist($product_id)
		{
			
			return $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_productpackage/productlist.phtml', false);
			
		} // public function productlist($product_id)
		
	} // class wpsg_mod_productpackage extends wpsg_mod_basic

?>